kio Library: KSambaShare Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSambaShare Class Reference

Similar functionality like KFileShare, but works only for Samba and do not need any suid script. More...

`#include <ksambashare.h>`

Inheritance diagram for KSambaShare:

[legend]
Collaboration diagram for KSambaShare:

[legend]
List of all members.

## Signals
void | changed ()
## Public Member Functions
bool | isDirectoryShared (const QString &path) const
QStringList | sharedDirectories () const
virtual | ~KSambaShare ()
QString | smbConfPath () const
## Static Public Member Functions
static KSambaShare * | instance ()

## Detailed Description

Similar functionality like KFileShare, but works only for Samba and do not need any suid script.

Singleton class, call instance() to get an instance.

Definition at line 34 of file ksambashare.h.

## Constructor & Destructor Documentation

KSambaShare::~KSambaShare | ( |  | ) | `[virtual]`

| KSambaShare destructor. Do not call! The instance is destroyed automatically! Definition at line 189 of file ksambashare.cpp.

## Member Function Documentation

KSambaShare * KSambaShare::instance | ( |  | ) | `[static]`

| Returns the one and only instance of KSambaShare. Definition at line 227 of file ksambashare.cpp.

bool KSambaShare::isDirectoryShared | ( | const QString & | path | ) | const

  | Whether or not the given path is shared by Samba. Parameters:
  | path | the path to check if it is shared by Samba.
Returns: whether the given path is shared by Samba. Definition at line 197 of file ksambashare.cpp. References QString::find().

QStringList KSambaShare::sharedDirectories | ( |  | ) | const

| Returns a list of all directories shared by Samba. The resulting list is not sorted. Returns: a list of all directories shared by Samba. Definition at line 205 of file ksambashare.cpp.

QString KSambaShare::smbConfPath | ( |  | ) | const

| Returns the path to the used smb.conf file or null if no file was found. Definition at line 193 of file ksambashare.cpp.

void KSambaShare::changed | ( |  | ) | `[signal]`

| Emitted when the smb.conf file has changed.

The documentation for this class was generated from the following files:

- ksambashare.h
- ksambashare.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003